PluginInfo (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.plugins

## [Groovy] Class PluginInfo

- org.codehaus.groovy.grails.plugins.PluginInfo

- All Implemented Interfaces and Traits:
    GrailsPluginInfo

      class PluginInfo
      extends groovy.lang.GroovyObjectSupport

  Used mainly by the build system that encapsulates access to information about the underlying plugin by delegating to the methods in GrailsPluginUtils.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `additionalMetadata`
    `java.lang.Object` | `metadata`
    `java.lang.String` | `name`
    `PluginBuildSettings` | `pluginBuildSettings`
    `Resource` | `pluginDir`
    `java.lang.String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PluginInfo (Resource pluginXml, PluginBuildSettings pluginBuildSettings)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getAt(java.lang.String name)`
    `Resource` | `getDescriptor()` Returns the location of the descriptor
    `java.lang.String` | `getFullName()`
    `java.lang.String` | `getName()` Returns the plugin's name.
    `Resource` | `getPluginDirectory()` Obtains the plugins directory.
    `java.util.Map` | `getProperties()`
    `java.lang.String` | `getVersion()` Returns the plugin's version.
    `groovy.util.slurpersupport.GPathResult` | `parseMetadata(Resource pluginXml)`
    `void` | `propertyMissing(java.lang.String property, java.lang.Object newValue)`
    `java.lang.Object` | `propertyMissing(java.lang.String name)`
    `java.lang.Object` | `putAt(java.lang.String name, java.lang.Object val)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.lang.Object additionalMetadata

    - #### java.lang.Object metadata

    - #### java.lang.String name

    - #### PluginBuildSettings pluginBuildSettings

    - #### Resource pluginDir

    - #### java.lang.String version

  - ### Constructor Detail

    - #### PluginInfo(Resource pluginXml, PluginBuildSettings pluginBuildSettings)

  - ### Method Detail

    - #### java.lang.Object getAt(java.lang.String name)

    - #### Resource getDescriptor()

      Returns the location of the descriptor

    - #### java.lang.String getFullName()

    - #### java.lang.String getName()

      Returns the plugin's name.

    - #### Resource getPluginDirectory()

      Obtains the plugins directory.

    - #### java.util.Map getProperties()

    - #### java.lang.String getVersion()

      Returns the plugin's version.

    - #### groovy.util.slurpersupport.GPathResult parseMetadata(Resource pluginXml)

    - #### void propertyMissing(java.lang.String property, java.lang.Object newValue)

    - #### java.lang.Object propertyMissing(java.lang.String name)

    - #### java.lang.Object putAt(java.lang.String name, java.lang.Object val)